Subject: Re: [patch 1/4] natsemi: Add support for using MII port with no PHY

From: [email-masked]
Date: Sun, 12 Mar 2006 13:41:13 -0800

On Sun, Mar 12, 2006 at 07:23:00PM +0000, Mark Brown wrote:
> This patch provides a module option which configures the natsemi driver
> to use the external MII port on the chip but ignore any PHYs that may be
> attached to it.  The link state will be left as it was when the driver
> started and can be configured via ethtool.  Any PHYs that are present
> can be accessed via the MII ioctl()s.
> 
> This is useful for systems where the device is connected without a PHY
> or where either information or actions outside the scope of the driver
> are required in order to use the PHYs.

Not that my opinion should hold much weight, having been absent from the
driver for some time, but yuck.  Is there no better way to do this thatn
sprinkling poo all over it?